Results 1 to 9 of 9
  1. #1


    Member Since
    Aug 25, 2009
    Posts
    7
    XCode for Leopard
    Hi to all,
    I'm trying to download XCode for Leopard (3.1, I believe) but on the apple site it only seems to have 3.2, that is new Snow Leopard only version.

    Could anybody help? Thanks

  2. #2


    Member Since
    Aug 24, 2009
    Location
    SE London, UK
    Posts
    53
    Specs:
    Alu iMac 2.4 Core 2 Duo, 4GB memory, 320GB HDD + 750GB Ext HDD
    XCode should be on your Leopard install disc

  3. #3

    xstep's Avatar
    Member Since
    Jun 25, 2005
    Location
    On the road
    Posts
    3,231
    Specs:
    2011 MBP, i7, 16GB RAM, MBP 2.16Ghz Core Duo, 2GB ram, Dual 867Mhz MDD, 1.75GB ram, ATI 9800 Pro vid
    When I'm on the Mac Dev Center site, I have to do some clicking to get to the downloads section...

    Mac Dev Center -> Member Site (in right column) which requires another login.
    Member Site -> Downloads
    Download -> Developer Tools (in right column)

    Once on the proper download page, search for 3.1 to find that version of XCode.
    CameraTime - Time lapse photography for novice and advanced users.

    When asking questions, post the version of your software. You'll receive better answers.

    Please post your results to the thread as it is good feedback.

  4. #4


    Member Since
    Jul 27, 2006
    Location
    Berkshire, Uk
    Posts
    394
    Specs:
    15.4" MBP Sep 09, 2.66Ghz C2D, 4Gb Ram, 320Gb HDD 7200rpm, 10.6.x / iPod Touch 8Gb
    Not sure why you would want 3.1, remember that 3.2 includes iPhone support down to version 2. and OS X Support down to 10.4.x API's

  5. #5

    cuhnool's Avatar
    Member Since
    Jun 02, 2008
    Location
    Louisville
    Posts
    1,502
    Specs:
    MacBook 2.1GHz Core 2 Duo | 1GB RAM | OS X 10.6.3 | 250GB External HD | 8GB iPod Touch 1st Gen 3.1.3
    Quote Originally Posted by Nimraynn View Post
    XCode should be on your Leopard install disc
    Or just search it in spotlight

  6. #6

    xstep's Avatar
    Member Since
    Jun 25, 2005
    Location
    On the road
    Posts
    3,231
    Specs:
    2011 MBP, i7, 16GB RAM, MBP 2.16Ghz Core Duo, 2GB ram, Dual 867Mhz MDD, 1.75GB ram, ATI 9800 Pro vid
    Quote Originally Posted by Andy_M View Post
    Not sure why you would want 3.1, remember that 3.2 includes iPhone support down to version 2. and OS X Support down to 10.4.x API's
    The OP was done before 3.2 was released to non-payed developers.
    CameraTime - Time lapse photography for novice and advanced users.

    When asking questions, post the version of your software. You'll receive better answers.

    Please post your results to the thread as it is good feedback.

  7. #7
    Leopard Xcode Download
    For future Googlers:
    http://adcdownload.apple.com/Develop...veloperdvd.dmg
    Is the download for Xcode for OS X 10.5.0+
    The download works for me (after login) as of post (Sep 19 2009)

    http://adcdownload.apple.com/Developer_Tools/xcode_3.1.3_developer_tools/xcode313_2736_developerdvd.dmg

  8. #8


    Member Since
    Jan 17, 2010
    Posts
    1
    Url
    This is the best link to click for XCode 3.1.3, the last version for MacOS X 10.5

    Login required, will prompt you for it. Above URL will not prompt for login and doesn't work if one goes back to main page and tries to log in.

    https://connect.apple.com/cgi-bin/We...bundleID=20414

  9. #9


    Member Since
    May 06, 2009
    Posts
    2
    Latest for Leopard
    If you login to your developer account, go to Mac Dev Center then click on Developer Downloads. On the right side, click on Developer Tools and you will then find a link for downloading Xcode 3.1.4, released Sept 10 2009.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. installing xcode 4 on leopard 10.6.4
    By skysky in forum OS X - Development and Darwin
    Replies: 4
    Last Post: 09-08-2011, 01:36 PM
  2. Leopard and Xcode on G4?
    By Horsebox in forum OS X - Operating System
    Replies: 7
    Last Post: 04-22-2011, 07:46 PM
  3. Xcode on leopard 10.5.8
    By kalimojo in forum Switcher Hangout
    Replies: 10
    Last Post: 04-10-2011, 06:59 AM
  4. I can't uninstall Xcode on leopard :(
    By mundane bob in forum OS X - Operating System
    Replies: 5
    Last Post: 09-09-2010, 08:23 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •